/* ==========================================================================
	Header
========================================================================== */

.site-header {
	position: fixed;
	width: 100%;
	padding-top: 16px;
	padding-bottom: 16px;
	border-bottom: solid 1px #FAF6EB4D;
	z-index: 99;
	transition: background-color 500ms ease;
}

.site-header.floating {
	background-color: #0C0C0EE6;
}

.custom-logo {
	height: 61px;
	width:142px;
}

.main-navigation {
	width: auto;
}

.main-navigation li {
	text-transform: uppercase;
	padding: 9px;
	margin-top: 11px;
	margin-left: 32px;
}

.site-header .menu-menu-principal-container {
	display: block;
}

.site-header .menu-menu-principal-container .menu-item.current-menu-item > a {
	position: relative;
	color: #F6EB61;
}

.site-header .sub-menu {
	flex-direction: column;
}

.site-header .sub-menu .menu-item.current-menu-item > a {
	color: #F6EB61;
}

.site-header .menu-toggle .close {
	display: none;
}

.site-header .menu-toggle .open {
	display: inherit;
}

.main-navigation ul ul {
	background-color: rgb(19, 20, 22);
}

.main-navigation ul ul li {
	margin-top: 0;
	margin-left: 0;
	display: flex;
	flex-direction: column;
	justify-content: center;
	text-align: center;
}

.main-navigation ul ul a {
}

@media (max-width: 1024px), (orientation: portrait) {

	.site-header {
		width: 100vw;
		padding-top: 0;
		padding-bottom: 0;
		height: 20vw;
	}

	.site-header > div {
		height: 100%;
		align-items: center;
	}

	.site-header.floating {
		background-color: #0C0C0EFC;
	}

	.custom-logo {
		height: auto;
		width: 34vw;
	}

	.site-header .menu-toggle {
		width: 9vw;
		height: 9vw;
		padding: 0;
		background-color: transparent;
		border: none;
	}

	.site-header .toggled .menu-toggle .close {
		display: inherit;
	}

	.site-header .toggled .menu-toggle .open {
		display: none;
	}

	.site-header .menu-toggle:focus,
	.site-header .menu-toggle:active {
		outline: none;
	}

	.site-header .menu-toggle img {
		width: 100%
	}

	.site-header .menu-menu-principal-container {
		display: none;
		height: 0;
		opacity: 0;
	}

	.site-header .toggled .menu-menu-principal-container {
		display: flex;
		flex-direction: column;
		position: absolute;
		top: 0;
		left: 0;
		height: calc(100vh - var(--header-size));
		width: 100%;
		text-align: center;
		padding: 7vw;
		background-image: url(/wp-content/uploads/2021/02/bg-new-york-silhouette.png);
		background-position: bottom;
		background-repeat: no-repeat;
		background-size: contain;
		background-color: #1E2023;
		margin-top: var(--header-size);
		opacity: 1;
		transition: all 200ms ease;
	}

	.site-header .menu-menu-principal-container .menu {
		display: flex;
		flex-direction: column;
		justify-content: space-around;
		height: 60vh;
		border: .2vw solid #E8DFC5;
	}

	.site-header .menu-menu-principal-container .menu-item {
		margin-left: 0;
		padding: 3vw;
		margin-top: 0;
	}

	.site-header .menu-menu-principal-container .menu-item a {
		font-size: 4vw;
	}

	.site-header .menu-menu-principal-container .menu-item.current-menu-item a::after {
		content: "";
		position: absolute;
		bottom: -4vw;
		left: calc(50% - 15vw);
		height: 1vw;
		width: 30vw;
		background-color: #F6EB61;
	}
}
